VismaBouwsoftAPICalls.v1_PUT_Products Method
v1_PUT_Products() as String

This API call is used to update fields of a(n) Product

General Description

HTTP method API version
PUT v1

Don’t forget to put the Authorization field in the header

API Path: /Products/{id}
or
API Path: /Products/{id}/Upload
or
API Path: /Products/{id}/note_plain

You make this API call with the key field id as the path parameter (the id of the Product you want to update)

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
list 2 tpString 50 No Yes No
group 2 tpString 50 No Yes No
nr1 2 tpString 100 No Yes No
nr2 2 tpString 100 No Yes No
description 2 tpString 0 No Yes No
price_cost 14 tpCurrencyHD 0 No Yes No
price_catalogue 14 tpCurrencyHD 0 No Yes No
price_sales1 14 tpCurrencyHD 0 No Yes No
price_sales2 14 tpCurrencyHD 0 No Yes No
price_sales3 14 tpCurrencyHD 0 No Yes No
margin_catalogue 14 tpCurrencyHD 0 No Yes No
margin1 14 tpCurrencyHD 0 No Yes No
margin2 14 tpCurrencyHD 0 No Yes No
margin3 14 tpCurrencyHD 0 No Yes No
discount1 14 tpCurrencyHD 0 No Yes No
discount2 14 tpCurrencyHD 0 No Yes No
discount3 14 tpCurrencyHD 0 No Yes No
brand 2 tpString 150 No Yes No
type 2 tpString 0 No Yes No
unit 2 tpString 10 No Yes No
salesunit_id 1 tpLong 0 No Yes No
salesunit 2 tpString 10 No No No
purchaseunit_id 1 tpLong 0 No Yes No
purchaseunit 2 tpString 10 No No No
unit_localized 2 tpString 10 No No No
salesunit_localized 2 tpString 10 No No No
purchaseunit_localized 2 tpString 10 No No No
active 5 tpBool 0 No Yes No
barcode 2 tpString 0 No Yes No
activesupplier_id 1 tpLong 0 No Yes No Addresses
activesupplier_name 2 tpString 150 No No No
ts_lastupdate 3 tpDate 0 No No No

/Products/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products/2832401

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lmlfWxfVmkzSfVGOPfzRqIGAfGjIfGGlfrOkzlmtjkIGjrDrGI

Query Parameters :
ParameterName: columns, ParameterValue: description=’Tegels Citroengeel 40*60’,price_cost=12.35,margin1=10,margin2=20,margin3=30,margin_catalogue=40

Success gives statuscode 200 And the following result

{“RecordChanges”: [
  {
    "id": 2832401,
    "description": "Tegels Citroengeel 40*60",
    "price_cost": 12.35,
    "price_catalogue": 17.289999999999999,
    "price_sales1": 13.585000000000001,
    "price_sales2": 14.82,
    "price_sales3": 16.055,
    "margin_catalogue": 40.0,
    "margin1": 10.0,
    "margin3": 30.0,
    "discount1": 21.428599999999999,
    "discount2": 14.2857,
    "discount3": 7.1429,
    "ts_lastupdate": "2026–05–07 09:19:27"
  }
]
}

/Products/{id}/Upload

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products/2832401/Upload

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UUPfWxflbOzSfDUmUfzRqPjIftmbfGDbfkDkztAOGPkGmbVDbO

Body Parameters :
ParameterName: fileParameterValue: tptype.txt

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "name": "tptype.txt",
    "path_display": "",
    "path_lower": "",
    "id": "",
    "client_modified": "2026–05–07T09:18:59Z",
    "server_modified": "2026–05–07T09:18:59Z",
    "rev": "",
    "size": 425,
    "is_downloadable": true,
    "checksum": "zGVVes6ZAaZtz3+YPRWYtHF/wUee9FjT7BUE6j+8M18="
  }
]
}

/Products/{id}/note_plain

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Products/2832401/note_plain

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PPPfWxfOmrzSfUDrDfzRqUGUfGVjkGVOfUAkzDtbVPbIDtbkDr

Body Parameters :
dit is een nota via de api

Success gives statuscode 200 And the following result

dit is een nota via de api